LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sdbc::SQLState Constant Group Reference

determines SQL State values. More...

## Variables
const long | sqlStateXOpen = 1
| A possible return value for the method `DatabaseMetaData.getSQLStateType` which is used to indicate whether the value returned by the method `SQLException.getSQLState` is an X/Open (now know as Open Group) SQL CLI SQLSTATE value. More...
const long | sqlStateSQL = 2
| A possible return value for the method `DatabaseMetaData.getSQLStateType` which is used to indicate whether the value returned by the method `SQLException.getSQLState` is an SQLSTATE value. More...
const long | sqlStateSQL99 = sqlStateSQL
| A possible return value for the method `DatabaseMetaData.getSQLStateType` which is used to indicate whether the value returned by the method `SQLException.getSQLState` is an SQL99 SQLSTATE value. More...

## Detailed Description

determines SQL State values.

Since
  LibreOffice 25.2

## Variable Documentation

## ◆ sqlStateSQL

const long sqlStateSQL = 2

A possible return value for the method `DatabaseMetaData.getSQLStateType` which is used to indicate whether the value returned by the method `SQLException.getSQLState` is an SQLSTATE value.

## ◆ sqlStateSQL99

const long sqlStateSQL99 = sqlStateSQL

A possible return value for the method `DatabaseMetaData.getSQLStateType` which is used to indicate whether the value returned by the method `SQLException.getSQLState` is an SQL99 SQLSTATE value.

Note:This constant remains only for compatibility reasons. Developers should use the constant `sqlStateSQL` instead.

## ◆ sqlStateXOpen

const long sqlStateXOpen = 1

A possible return value for the method `DatabaseMetaData.getSQLStateType` which is used to indicate whether the value returned by the method `SQLException.getSQLState` is an X/Open (now know as Open Group) SQL CLI SQLSTATE value.